For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Container object
          • GET/containers
          • GET/containers/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsContainers

/containers/{id}

GET
/knowledgebase/v1/containers/:id
GET
/api/knowledgebase/v1/containers/:id
$curl -G https://api.merge.dev/api/knowledgebase/v1/containers/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=permissions,parent_article,parent_container
200Retrieved
1{
2 "id": "134e0111-0f67-44f6-98f0-597000290bb3",
3 "remote_id": "800293",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "Test Container",
7 "description": "This folder contains articles that describe how Merge is the #1 player in the Unified API space",
8 "status": "DRAFT",
9 "container_url": "myworkspace.atlassian.net/wiki/test-container",
10 "type": "SPACE",
11 "visibility": "INTERNAL",
12 "remote_created_at": "2021-09-15T00:00:00Z",
13 "remote_updated_at": "2021-09-16T00:00:00Z",
14 "parent_article": "string",
15 "parent_container": "8e889422-e086-42dc-b99e-24d732039b0b",
16 "permissions": [
17 {
18 "id": "31ce489c-asdf-68b1-754r-629f799f7123",
19 "remote_id": "102895",
20 "created_at": "2020-03-31T00:00:00Z",
21 "modified_at": "2020-06-20T00:00:00Z",
22 "user": "21ce474c-asdf-34a2-754r-629f799f7d12",
23 "group": null,
24 "type": "USER",
25 "roles": [
26 "OWNER"
27 ],
28 "remote_data": null
29 }
30 ],
31 "remote_was_deleted": true,
32 "field_mappings": {
33 "organization_defined_targets": {
34 "custom_key": "custom_value"
35 },
36 "linked_account_defined_targets": {
37 "custom_key": "custom_value"
38 }
39 },
40 "remote_data": [
41 {
42 "path": "/containers",
43 "data": null
44 }
45 ]
46}

Returns a Container object with the given id.

Was this page helpful?
Previous

/containers

Next

The Group object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null<=254 characters
Name of the container.
descriptionstring or null<=2000 characters
Description of the container.
statusenum or null

The container’s status.

  • DRAFT - DRAFT
  • PUBLISHED - PUBLISHED
  • ARCHIVED - ARCHIVED
  • TRASH - TRASH
Allowed values:
container_urlstring or null<=2000 characters
The URL to the webpage of the container.
typeenum or null

The container’s type.

  • FOLDER - FOLDER
  • SPACE - SPACE
  • COLLECTION - COLLECTION
  • SECTION - SECTION
  • CATEGORY - CATEGORY
  • DATABASE - DATABASE
visibilityenum or null

The container’s visibility.

  • PUBLIC - PUBLIC
  • INTERNAL - INTERNAL
  • RESTRICTED - RESTRICTED
Allowed values:
remote_created_atdatetime or null
When the third party's container was created.
remote_updated_atdatetime or null
When the third party's container was updated.
parent_articlestring or nullformat: "uuid"
The parent article a container is nested within.
parent_containerstring or nullformat: "uuid"
The parent container a container is nested within.
permissionslist of objects
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only